## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesTextWrapperAllocator Class Reference

`#include <XercesTextWrapperAllocator.hpp>`

Collaboration diagram for XercesTextWrapperAllocator:

[legend]
List of all members.

## Public Types

- typedef XercesTextWrapper ObjectType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XercesTextWrapperAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XercesTextWrapperAllocator ()
- ObjectType* create (const DOMTextType *theXercesText, const XercesWrapperNavigator &theNavigator)
    Create a XercesTextWrapper instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XercesTextWrapperAllocator::ArenaAllocatorType<ObjectType>

typedef XercesTextWrapper XercesTextWrapperAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesTextWrapperAllocator::size_type

## Constructor & Destructor Documentation

XercesTextWrapperAllocator::XercesTextWrapperAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XercesTextWrapperAllocator::~XercesTextWrapperAllocator ( | )

## Member Function Documentation

ObjectType * XercesTextWrapperAllocator::create ( | const DOMTextType * theXercesText,
| const XercesWrapperNavigator & theNavigator )

  | Create a XercesTextWrapper instance. Parameters:
  theXercesText | The Xerces text node
  theNavigator | The navigator for this instance.
Returns: pointer to the instance

size_type XercesTextWrapperAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XercesTextWrapperAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

void XercesTextWrapperAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesTextWrapperAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.